name: Build and Test

on:
  push:
    branches: [ dev ]

jobs:
  build:
    runs-on: ubuntu-latest

    steps:
    - name: Build the application
      uses: actions/checkout@v3
    - uses: oven-sh/setup-bun@v1
      with:
        bun-version: "latest"
    - run: bun install
    - run: bun run build
    - run: bun run test:unit
    - run: bun run test:e2e
